Webhooks
List webhook endpoints
GET /v1/webhooks: List webhook endpoints
GET /v1/webhooks
| Operation id | listWebhooks |
| Key scope | admin: admin keys only |
| Section | Webhooks |
#Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer | ≥ 1 · ≤ 100 · default 25 | |
cursor | query | string | min length 1 |
#Example request
curl -X GET "https://api.kaab.ist/v1/webhooks" \
-H "Authorization: Bearer $KAAB_API_KEY"
#Responses
#200
Webhook page
| Field | Type | Required | Description |
|---|---|---|---|
data | Webhook | yes | |
next_cursor | string or null | yes |
#Errors
Every error answers with the error envelope; its code is one of the error codes.
| Status | When |
|---|---|
| 400 | request_invalid: request validation failed |
| 401 | Missing or invalid API key |
| 403 | The key's scope does not cover this operation |
| 429 | Rate limited; see Retry-After |
| 500 | internal: unexpected server error |